Welcome to the Angel community! This document explains where to get help, and different ways to be part of the community. 

The Angel project community comprises a group of core committer and a sub-group that forms the Technical Steering Committee (the “TSC”) which governs the project.

## TSC

The Technical Steering Committee (the “TSC”) will be responsible for all technical oversight of the open source Project, which include:

- Technical direction
- Approving project or system proposals
- GitHub repository hosting
- Contribution policy
- Conduct guidelines
- Maintaining the list of additional Committers

### TSC Membership

The TSC voting members are initially the Project’s Committers. TSC memberships are not time-limited. There is no maximum size of the TSC. The size is expected to vary in order to ensure adequate coverage of important areas of expertise, balanced with the ability to make decisions efficiently. The TSC must have at least three members.

The TSC may add additional members to the TSC by a 2/3 majority vote.

### TSC Current Members

- [paynie](https://github.com/paynie) - **Paynie Xiao** <[cswjsxs2005@gmail.com](cswjsxs2005@gmail.com) >
- [fitzwang](https://github.com/wangcaihua) - **Fitz Wang** <[fitzwang.ml@gmail.com](fitzwang.ml@gmail.com) >
- [leleyu](https://github.com/leleyu)- **Lele Yu** <[yulele214@gmail.com](yulele214@gmail.com) >
- [lbluesjjw](https://github.com/bluesjjw)- **Jeremy Jiang** <[blue.jwjiang@gmail.com](blue.jwjiang@gmail.com) >

### TSC Meeting

- The TSC meets regularly in a voice meeting call

- The TSC meeting are held every other Tuesday at 21:00 Beijing Time. 
- Meeting minutes and agenda can be found [here](https://docs.google.com/document/d/1JlxAAOtvZvvf_KhVr8XQa6mUD7lkHOXlxuGruTKEukE/edit#).


## Committer

Any existing Committer can nominate an individual making significant and valuable contributions across the Angel Project to become a new Committer. 

One may become a Committer by a majority approval of the existing Committers. A Committer may be removed by a majority approval of the other existing Committers.

Committers should be familiar with the guidelines for new contributors in [CONTRIBUTING.md](https://github.com/Tencent/angel/blob/master/CONTRIBUTING.md).

### Committer Members
- [paynie](https://github.com/paynie) - **Paynie Xiao** <[cswjsxs2005@gmail.com](cswjsxs2005@gmail.com) >
- [fitzwang](https://github.com/wangcaihua) - **Fitz Wang** <[fitzwang.ml@gmail.com](fitzwang.ml@gmail.com) >
- [leleyu](https://github.com/leleyu)- **Lele Yu** <[yulele214@gmail.com](yulele214@gmail.com) >
- [lbluesjjw](https://github.com/bluesjjw)- **Jeremy Jiang** <[blue.jwjiang@gmail.com](blue.jwjiang@gmail.com) >
- [luxin0123](https://github.com/luxin0123) - **Ally Lu** <[luxin0123000@gmail.com](luxin0123000@gmail.com) >
- [weiwee](https://github.com/weiwee) - **Wenbin Wei** <[wbwmat@gmail.com](wbwmat@gmail.com) >
- [rachelsunrh](https://github.com/rachelsunrh)- **Rachel Sun** <[rachelsunrh@gmail.com](rachelsunrh@gmail.com) >



## Contributor

We would like to sincerely thank the following community members for their contributions to Angel.

- [paynie](https://github.com/paynie) - **Paynie Xiao**
- [andyyehoo](https://github.com/andyyehoo) - **Andy Huang**
- [leleyu](https://github.com/leleyu) - **Lele Yu**
- [shunanzhang](https://github.com/shunanzhang) - **Shunan Zhang**
- [lbluesjjw](https://github.com/bluesjjw) - **Jeremy Jiang**
- [TAAAN](https://github.com/TAAAN) - **Yunkun Tan**
- [weiwee](https://github.com/weiwee) - **Wenbin Wei**
- [rachelsunrh](https://github.com/rachelsunrh) - **Rachel Sun**
- [ZuwenYou](https://github.com/ZuwenYou) - **Zuwen You**
- [fitzwang](https://github.com/wangcaihua) - **Fitz Wang**
- [luxin0123](https://github.com/luxin0123) - **Ally Yu**
- [xujie32](https://github.com/xujie32) - **Joy Xu**
- [FLYINGQQ](https://github.com/FLYINGQQ)
- [yundai424](https://github.com/yundai424) - **Ariel Dai**
- [hbghhy](https://github.com/hbghhy)
- [duoyu119](https://github.com/duoyu119) - **Duo Yu**
- [facaiy](https://github.com/facaiy) - **Facai Yan**
- [f7753](https://github.com/f7753) - **Lewin Ma**
- [ouyangwen-it](https://github.com/ouyangwen-it) - **Gdp Ouyang**
- [ericzhang-cn](https://github.com/ericzhang-cn) - **Eric Zhang**
- [ljch2018](https://github.com/ljch2018)
- [liuzhanhao](https://github.com/liuzhanhao) - **Zhanhao (Jasper) Liu**
- [AugustoYao](https://github.com/AugustoYao) - **Augusto Yao**
- [20100507](https://github.com/20100507)
- [yd19tc](https://github.com/yd19tc)
- [witgo](https://github.com/witgo) - **Guoqiang Li**
- [Morrissss](https://github.com/Morrissss)
- [sunchenglong](https://github.com/sunchenglong) - **Chenglong Sun**
- [quhailong](https://github.com/quhailong) - **Hailong Qu**
- [patrikwang](https://github.com/patrikwang)
- [mtunique](https://github.com/mtunique) - **Tao Meng**
- [ibingoogle](https://github.com/ibingoogle)
- [ghandzhipeng](https://github.com/ghandzhipeng) - **Zhipeng Zhang**
- [Suanec](https://github.com/Suanec)
- [sustcsonglin](https://github.com/sustcsonglin)
- [endymecy](https://github.com/endymecy)
- [StrikeW](https://github.com/StrikeW)
- [wqh17101](https://github.com/wqh17101)
- [Oneal65](<https://github.com/Oneal65>) - **Oneal Liu**
- [cheney2015](<https://github.com/cheney2015>) - **Cristal Chen**